extrinsic(hpf_local) subroutine timer(return_time, initial_time)
use types
real(SP), dimension(:), intent(in)  :: initial_time
real(SP), dimension(:), intent(out) :: return_time
return_time(lbound(return_time, 1)) =     &
    secnds(initial_time(lbound(initial_time, 1)))

end
